=== debian/changelog ===
sxmo-utils (1.9.0-2) unstable; urgency=medium

  * Add patch for lisgd.service
  * Add j4-dmenu-desktop

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 21 Aug 2022 20:15:12 +0200

sxmo-utils (1.9.0-1) unstable; urgency=medium

  * Initial release.

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 11 Aug 2022 14:56:28 +0200
