=== debian/control ===
Source: sxmo-utils
Section: x11
Priority: optional
Maintainer: Tzafrir Cohen <tzafrir@debian.org>
Uploaders:
 Jochen Sprickerhof <jspricke@debian.org>,
Build-Depends: debhelper-compat (= 13),
 shellcheck,
 busybox:native,
Standards-Version: 4.6.1
Homepage: https://git.sr.ht/~mil/sxmo-utils
Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/sxmo-utils
Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/sxmo-utils.git
Rules-Requires-Root: no

Package: sxmo-utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 swayidle,
 gojq,
 libnotify-bin,
 inotify-tools,
 mako-notifier,
 pipewire,
 pipewire-pulse,
 wireplumber,
 bemenu,
 wob,
 sway,
 swaylock,
 foot,
 wvkbd,
 light,
 lisgd,
 wayout,
 pn,
 fonts-noto-color-emoji,
 mmsd-tng,
 wtype,
 pamixer,
 grim,
 wl-clipboard,
 slurp,
 callaudiod,
 libcallaudio-tools,
 vvmd,
 bc,
 net-tools,
 pulseaudio-utils,
 xdg-user-dirs,
 j4-dmenu-desktop,
Recommends:
 curl,
 firefox,
 megapixels,
 mpv,
 netsurf,
 network-manager,
 w3m,
 wget,
 yt-dlp,
Description: scripts and C programs to support Sxmo
 Sxmo is a minimalist environment for Linux mobile devices, such as the
 pinephone.
 .
 This package contains scripts and C programs to support Sxmo.
