## sxmo-utils 1.11.1

=== Makefile ===
--- 
+++ 
@@ -10,6 +10,7 @@
 
 CC ?= $(CROSS_COMPILE)gcc
 PROGRAMS = \
+	programs/sxmo_aligned_sleep \
 	programs/sxmo_vibrate \
 	programs/sxmo_splitchar
 
@@ -18,18 +19,23 @@
 test: shellcheck
 
 shellcheck:
-	shellcheck -x scripts/*/*.sh
+	find . -type f -name '*.sh' -print0 | xargs -0 shellcheck -x --shell=sh
 
-programs/sxmo_vibrate: programs/sxmo_vibrate.c
-	$(CC) -o programs/sxmo_vibrate programs/sxmo_vibrate.c
-
-programs/sxmo_splitchar: programs/sxmo_splitchar.c
-	$(CC) -o programs/sxmo_splitchar programs/sxmo_splitchar.c
+programs/%: programs/%.c
+	$(CC) $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) -o $@ $<
 
 clean:
-	rm -f programs/sxmo_vibrate programs/sxmo_splitchar
+	rm -f programs/sxmo_aligned_sleep programs/sxmo_vibrate programs/sxmo_splitchar
 
-install: $(PROGRAMS)
+install: install-sway install-dwm install-scripts
+
+install-sway:
+	install -D -m 0644 -t $(DESTDIR)$(PREFIX)/share/wayland-sessions/ configs/applications/swmo.desktop
+
+install-dwm:
+	install -D -m 0644 -t $(DESTDIR)$(PREFIX)/share/xsessions/ configs/applications/sxmo.desktop
+
+install-scripts: $(PROGRAMS)
 	cd configs && find . -type f -not -name sxmo-setpermissions -exec install -D -m 0644 "{}" "$(DESTDIR)$(PREFIX)/share/sxmo/{}" \; && cd ..
 
 	rm -rf "$(DESTDIR)$(PREFIX)/share/sxmo/default_hooks/"
@@ -46,10 +52,9 @@
 	fi
 
 	install -D -m 0644 -t $(DESTDIR)/usr/lib/udev/rules.d/ configs/udev/*.rules
+	install -D -m 0644 -t $(DESTDIR)/etc/sway/config.d/ configs/sway/*
 
 	install -D -m 0644 -t $(DESTDIR)$(PREFIX)/share/applications/ configs/xdg/mimeapps.list
-	install -D -m 0644 -t $(DESTDIR)$(PREFIX)/share/xsessions/ configs/applications/sxmo.desktop
-	install -D -m 0644 -t $(DESTDIR)$(PREFIX)/share/wayland-sessions/ configs/applications/swmo.desktop
 
 	install -D -m 0640 -t $(DESTDIR)/etc/doas.d/ configs/doas/sxmo.conf
 
@@ -67,6 +72,7 @@
 	# Bin
 	install -D -t $(DESTDIR)$(PREFIX)/bin scripts/*/*.sh
 
+	install -D programs/sxmo_aligned_sleep $(DESTDIR)$(PREFIX)/bin/
 	install -D programs/sxmo_vibrate $(DESTDIR)$(PREFIX)/bin/
 	install -D programs/sxmo_splitchar $(DESTDIR)$(PREFIX)/bin/
