=== debian/changelog ===
sxmo-utils (1.11.1-3) unstable; urgency=medium

  [ Jochen Sprickerhof ]
  * Add rfkill dependency
  * Update remove_busybox patch

  [ Arnaud Ferraris ]
  * Don't enable nor start systemd unit by default

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 04 Nov 2022 12:27:29 +0100

sxmo-utils (1.11.1-2) unstable; urgency=medium

  * Workaround shellcheck warnings

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 28 Oct 2022 15:10:31 +0200

sxmo-utils (1.11.1-1) unstable; urgency=medium

  * New upstream release
  * Fix gbp.conf
  * Rebase patches

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 28 Oct 2022 14:14:50 +0200
