=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: sxmo-utils
 Section: x11
 Priority: optional
-Maintainer: Tzafrir Cohen <tzafrir@debian.org>
+Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
 Uploaders:
+ Tzafrir Cohen <tzafrir@debian.org>,
  Jochen Sprickerhof <jspricke@debian.org>,
 Build-Depends: debhelper-compat (= 13),
  shellcheck,
@@ -49,6 +50,7 @@
  pulseaudio-utils,
  xdg-user-dirs,
  j4-dmenu-desktop,
+ rfkill,
 Recommends:
  curl,
  firefox,
