## sxmo-utils 1.12.0

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 .PHONY: install shellcheck
 
-VERSION:=1.9.0
+VERSION:=1.12.0
 
 GITVERSION:=$(shell git describe --tags)
 
@@ -11,8 +11,7 @@
 CC ?= $(CROSS_COMPILE)gcc
 PROGRAMS = \
 	programs/sxmo_aligned_sleep \
-	programs/sxmo_vibrate \
-	programs/sxmo_splitchar
+	programs/sxmo_vibrate
 
 all: $(PROGRAMS)
 
@@ -25,7 +24,7 @@
 	$(CC) $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) -o $@ $<
 
 clean:
-	rm -f programs/sxmo_aligned_sleep programs/sxmo_vibrate programs/sxmo_splitchar
+	rm -f programs/sxmo_aligned_sleep programs/sxmo_vibrate
 
 install: install-sway install-dwm install-scripts
 
@@ -74,7 +73,6 @@
 
 	install -D programs/sxmo_aligned_sleep $(DESTDIR)$(PREFIX)/bin/
 	install -D programs/sxmo_vibrate $(DESTDIR)$(PREFIX)/bin/
-	install -D programs/sxmo_splitchar $(DESTDIR)$(PREFIX)/bin/
 
 	find $(DESTDIR)$(PREFIX)/share/sxmo/default_hooks/ -type f -exec ./setup_config_version.sh "{}" \;
 	find $(DESTDIR)$(PREFIX)/share/sxmo/appcfg/ -type f -exec ./setup_config_version.sh "{}" \;
