=== debian/changelog ===
sxmo-utils (1.12.0-7) unstable; urgency=medium

  * Add patch to fix login when sxmo is removed

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 24 May 2023 19:15:29 +0200

sxmo-utils (1.12.0-6) unstable; urgency=medium

  * Replace pn by pnc
  * Fix spelling

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 23 Jan 2023 22:47:09 +0100

sxmo-utils (1.12.0-5) unstable; urgency=medium

  * Fix Bluetooth toggle.
    Thanks to hookd6
  * Bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 25 Dec 2022 14:25:28 +0100

sxmo-utils (1.12.0-4) unstable; urgency=medium

  * Fix logind config filename

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 12 Dec 2022 10:14:24 +0100

sxmo-utils (1.12.0-3) unstable; urgency=medium

  * Add patch for new wob
  * Fix muted modem microphone icon
  * Add logind config for the power button

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 12 Dec 2022 08:33:03 +0100

sxmo-utils (1.12.0-2) unstable; urgency=medium

  * Add patch to disable shellcheck

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 20 Nov 2022 14:38:39 +0100

sxmo-utils (1.12.0-1) unstable; urgency=medium

  * New upstream release
  * Rebase patches
  * Add patch to not start bonsaid
  * Add patch for XDG_DATA_DIRS fallback

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 20 Nov 2022 12:59:44 +0100
