=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Build-Depends: debhelper-compat (= 13),
  shellcheck,
  busybox:native,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://git.sr.ht/~mil/sxmo-utils
 Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/sxmo-utils
 Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/sxmo-utils.git
@@ -34,7 +34,7 @@
  light,
  lisgd,
  wayout,
- pn,
+ pnc,
  fonts-noto-color-emoji,
  mmsd-tng,
  wtype,
@@ -53,7 +53,7 @@
  rfkill,
 Recommends:
  curl,
- firefox,
+ firefox-esr,
  megapixels,
  mpv,
  netsurf,
