=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_installsystemd:
	dh_installsystemd --name=sxmo --no-start --no-enable --no-stop-on-upgrade --no-restart-after-upgrade
