=== debian/watch ===
version=4
opts="mode=git" \
https://git.sr.ht/~mil/sxmo-utils \
refs/tags/@ANY_VERSION@
