## sxmo-utils 1.14.2

=== Makefile ===
--- 
+++ 
@@ -1,8 +1,12 @@
+DESTDIR=
 PREFIX:=/usr
+SHAREDIR=$(PREFIX)/share
+MANDIR=$(SHAREDIR)/man
+SCDOC=scdoc
 
 .PHONY: install shellcheck
 
-VERSION:=1.12.0
+VERSION:=1.13.0
 
 GITVERSION:=$(shell git describe --tags)
 
@@ -13,7 +17,13 @@
 	programs/sxmo_aligned_sleep \
 	programs/sxmo_vibrate
 
-all: $(PROGRAMS)
+DOCS = \
+	docs/sxmo.7
+
+docs/%: docs/%.scd
+	$(SCDOC) <$< >$@
+
+all: $(PROGRAMS) $(DOCS)
 
 test: shellcheck
 
@@ -26,7 +36,10 @@
 clean:
 	rm -f programs/sxmo_aligned_sleep programs/sxmo_vibrate
 
-install: install-sway install-dwm install-scripts
+install: install-sway install-dwm install-scripts install-docs
+
+install-docs: $(DOCS)
+	cd docs && find . -type f -name '*.7' -exec install -D -m 0644 "{}" "$(DESTDIR)$(MANDIR)/man7/{}" \; && cd ..
 
 install-sway:
 	install -D -m 0644 -t $(DESTDIR)$(PREFIX)/share/wayland-sessions/ configs/applications/swmo.desktop
@@ -51,7 +64,6 @@
 	fi
 
 	install -D -m 0644 -t $(DESTDIR)/usr/lib/udev/rules.d/ configs/udev/*.rules
-	install -D -m 0644 -t $(DESTDIR)/etc/sway/config.d/ configs/sway/*
 
 	install -D -m 0644 -t $(DESTDIR)$(PREFIX)/share/applications/ configs/xdg/mimeapps.list
