=== debian/changelog ===
sxmo-utils (1.14.2-1.1) experimental; urgency=medium

  * Non-maintainer upload.
  * No source change upload to rebuild with debhelper >= 13.11.8 which
    installs systemd units into /usr.

 -- Michael Biebl <biebl@debian.org>  Fri, 04 Oct 2024 18:14:29 +0200

sxmo-utils (1.14.2-1) experimental; urgency=medium

  * New upstream release
  * Update d/copyright
  * Rediff patches
  * Add new scdoc build dependency

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 07 Jul 2023 15:37:44 +0200
