=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
 Build-Depends: debhelper-compat (= 13),
  shellcheck,
  busybox:native,
+ scdoc,
 Standards-Version: 4.6.2
 Homepage: https://git.sr.ht/~mil/sxmo-utils
 Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/sxmo-utils
